|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.wicket.Request
org.apache.wicket.protocol.http.WebRequest
org.apache.wicket.protocol.http.servlet.ServletWebRequest
public class ServletWebRequest
A Servlet specific WebRequest implementation wrapping a HttpServletRequest
| Constructor Summary | |
|---|---|
ServletWebRequest(javax.servlet.http.HttpServletRequest httpServletRequest)
Protected constructor. |
|
| Method Summary | |
|---|---|
int |
getDepthRelativeToWicketHandler()
Gets the depth of this request relative to the Wicket handler. |
javax.servlet.http.HttpServletRequest |
getHttpServletRequest()
Gets the wrapped http servlet request object. |
java.util.Locale |
getLocale()
Returns the preferred Locale that the client will accept content in, based on
the Accept-Language header. |
java.lang.String |
getParameter(java.lang.String key)
Gets the request parameter with the given key. |
java.util.Map |
getParameterMap()
Gets the request parameters. |
java.lang.String[] |
getParameters(java.lang.String key)
Gets the request parameters with the given key. |
java.lang.String |
getPath()
Gets the path info if any. |
java.lang.String |
getRelativePathPrefixToContextRoot()
Gets a prefix to make this relative to the context root. |
java.lang.String |
getRelativePathPrefixToWicketHandler()
Gets a prefix to make this relative to the Wicket Servlet/Filter. |
java.lang.String |
getServletPath()
Gets the servlet path. |
java.lang.String |
getURL()
Retrieves the relative URL of this request for local use. |
boolean |
isAjax()
This will return true if the header "Wicket-Ajax" is set. |
boolean |
mergeVersion()
This method by default calls isAjax(), wicket ajax request do have an header set. |
WebRequest |
newMultipartWebRequest(Bytes maxsize)
Create a runtime context type specific (e.g. |
void |
setWicketRedirectUrl(java.lang.String wicketRedirectUrl)
Set the redirect url where wicket will redirect to for the next page |
java.lang.String |
toString()
|
| Methods inherited from class org.apache.wicket.protocol.http.WebRequest |
|---|
getCookie, getCookies |
| Methods inherited from class org.apache.wicket.Request |
|---|
decodeURL, getPage, getRelativeURL, getRequestParameters, setPage |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Constructor Detail |
|---|
public ServletWebRequest(javax.servlet.http.HttpServletRequest httpServletRequest)
httpServletRequest - The servlet request information| Method Detail |
|---|
public final javax.servlet.http.HttpServletRequest getHttpServletRequest()
getHttpServletRequest in class WebRequestpublic java.util.Locale getLocale()
Locale that the client will accept content in, based on
the Accept-Language header. If the client request doesn't provide an Accept-Language header,
this method returns the default locale for the server.
getLocale in class WebRequestLocale for the clientpublic java.lang.String getParameter(java.lang.String key)
getParameter in class WebRequestkey - Parameter name
public java.util.Map getParameterMap()
getParameterMap in class WebRequestpublic java.lang.String[] getParameters(java.lang.String key)
getParameters in class WebRequestkey - Parameter name
public java.lang.String getPath()
getPath in class Requestpublic java.lang.String getRelativePathPrefixToContextRoot()
RequestFor example, if your context root is http://server.com/myApp/ and the request is for /myApp/mountedPage/, then the prefix returned might be "../../".
For a particular technology, this might return either an absolute prefix or a relative one.
getRelativePathPrefixToContextRoot in class Requestpublic int getDepthRelativeToWicketHandler()
public java.lang.String getRelativePathPrefixToWicketHandler()
RequestFor example, if your context root is http://server.com/myApp/ and the request is for /myApp/mountedPage/, then the prefix returned might be "../../".
For a particular technology, this might return either an absolute prefix or a relative one.
getRelativePathPrefixToWicketHandler in class Requestpublic java.lang.String getURL()
Request
getURL in class RequestRequest.getURL()public java.lang.String getServletPath()
getServletPath in class WebRequestpublic boolean isAjax()
isAjax in class WebRequestWebRequest.isAjax()public boolean mergeVersion()
mergeVersion in class RequestRequest.mergeVersion()public WebRequest newMultipartWebRequest(Bytes maxsize)
WebRequest
newMultipartWebRequest in class WebRequestmaxsize - the maximum size this request may be
WebRequest.newMultipartWebRequest(org.apache.wicket.util.lang.Bytes)public java.lang.String toString()
toString in class RequestObject.toString()public void setWicketRedirectUrl(java.lang.String wicketRedirectUrl)
wicketRedirectUrl -
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||